Package org.multiverse.api.exceptions

## Class StmMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.StmMismatchException

- All Implemented Interfaces:
    `Serializable`

      public class StmMismatchException
      extends TxnExecutionException

  A `TxnExecutionException` thrown when a transaction encounters encounters a transactional object that belongs to a different Stm instance.

  Normally this exception is not thrown because only a single Stm instance, stored in the `GlobalStmInstance` is used.

  See Also:
    `GlobalStmInstance`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StmMismatchException​(String message)` | Creates a new StmMismatchException with the provided message.
    `StmMismatchException​(String message, Throwable cause)` | Creates a new StmMismatchException with the provided message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StmMismatchException

          public StmMismatchException​(String message)

      Creates a new StmMismatchException with the provided message.
      Parameters:
        `message` - the message

    - #### StmMismatchException

          public StmMismatchException​(String message,
                                      Throwable cause)

      Creates a new StmMismatchException with the provided message.
      Parameters:
        `message` - the message
        `cause` - the cause